Imports System.ComponentModel
Imports System.Globalization

Public Class ClassVectorBehaviourListConverter
    Inherits TypeConverter

    Public Overrides Function GetStandardValuesSupported(context As ITypeDescriptorContext) As Boolean
        Return True
    End Function

    Public Overrides Function GetStandardValues(context As ITypeDescriptorContext) As StandardValuesCollection
        Dim oBehaviourList = DirectCast(context.Instance, FinalIndexProperties).VectorBehaviourType
        Return New StandardValuesCollection(oBehaviourList)
    End Function

    Public Overrides Function ConvertTo(context As ITypeDescriptorContext, culture As CultureInfo, value As Object, destinationType As Type) As Object
        If IsNothing(value) Then
            Return ""
        Else
            Return value.ToString()
        End If
    End Function
End Class
